# 热门视频

- [获取当前热门视频列表](#获取当前热门视频列表)

---

## 获取当前热门视频列表

> https://api.bilibili.com/x/web-interface/popular

_请求方式：GET_

| 参数名 | 类型 | 内容     | 必要性 | 备注      |
| ------ | ---- | -------- | ------ | --------- |
| pn     | num  | 页码     | 非必要 | 默认为 1  |
| ps     | num  | 每页项数 | 非必要 | 默认为 20 |

>> 注意:当携带Cookie时返回的数据的排行是个性化的

**json 回复：**

根对象：

| 字段    | 类型 | 内容     | 备注                        |
| ------- | ---- | -------- | --------------------------- |
| code    | num  | 返回值   | 0：成功<br />-400：请求错误 |
| message | str  | 错误信息 | 默认为 0                    |
| ttl     | num  | 1        |                             |
| data    | obj  | 信息本体 |                             |

`data`对象：

| 字段    | 类型  | 内容           | 备注 |
| ------- | ----- | -------------- | ---- |
| list    | array | 视频列表       |      |
| no_more | bool  | 是否有更多数据 |  false：下页还有数据<br />true：下页没有数据    |

`data`中的`list`数组：

| 项   | 类型 | 内容      | 备注 |
| ---- | ---- | --------- | ---- |
| 0    | obj  | 视频1     |      |
| n    | obj  | 视频(n+1) |      |
| ……   | obj  | ……        | ……   |

`data`中的`list`数组中的对象：

基本同[获取视频详细信息（web端）](../video/info.md#获取视频详细信息（web端）)中的data对象


**示例：**

获取当前热门视频列表(不携带 Cookie)

```shell
curl -G 'https://api.bilibili.com/x/web-interface/popular' \
--data-urlencode 'ps=20' \
--data-urlencode 'pn=1'
```

<details>
<summary>查看响应示例：</summary>

```json
{
  "code": 0,
  "message": "0",
  "ttl": 1,
  "data": {
    "list": [
      {
        "aid": 260200041,
        "videos": 1,
        "tid": 212,
        "tname": "美食侦探",
        "copyright": 1,
        "pic": "http://i1.hdslb.com/bfs/archive/02641bbfadc63f5224834b096cc6c440e14f385f.jpg",
        "title": "街头碳水大师：当北方人看到 南方那么多面食…",
        "pubdate": 1662198796,
        "ctime": 1662198796,
        "desc": "想不到这个南方街头，竟把我俩吃到深夜…",
        "state": 0,
        "duration": 803,
        "mission_id": 873400,
        "rights": {
          "bp": 0,
          "elec": 0,
          "download": 0,
          "movie": 0,
          "pay": 0,
          "hd5": 1,
          "no_reprint": 1,
          "autoplay": 1,
          "ugc_pay": 0,
          "is_cooperation": 0,
          "ugc_pay_preview": 0,
          "no_background": 0,
          "arc_pay": 0,
          "pay_free_watch": 0
        },
        "owner": {
          "mid": 99157282,
          "name": "盗月社食遇记",
          "face": "http://i1.hdslb.com/bfs/face/c7fb5da587c2ec6b56ad47579933fda34c000457.jpg"
        },
        "stat": {
          "aid": 260200041,
          "view": 295188,
          "danmaku": 3590,
          "reply": 1465,
          "favorite": 3651,
          "coin": 12006,
          "share": 2039,
          "now_rank": 0,
          "his_rank": 0,
          "like": 39568,
          "dislike": 0
        },
        "dynamic": "这玩意怎么可能不好吃呢？！",
        "cid": 822798408,
        "dimension": { "width": 1920, "height": 1080, "rotate": 0 },
        "short_link": "https://b23.tv/BV1fe411g7F5",
        "short_link_v2": "https://b23.tv/BV1fe411g7F5",
        "first_frame": "http://i1.hdslb.com/bfs/storyff/n220903a22ujdxvylswyat3oqlkj8wax_firsti.jpg",
        "pub_location": "上海",
        "bvid": "BV1fe411g7F5",
        "season_type": 0,
        "is_ogv": false,
        "ogv_info": null,
        "rcmd_reason": { "content": "很多人点赞", "corner_mark": 0 }
      },
      {
        "aid": 472731550,
        "videos": 1,
        "tid": 17,
        "tname": "单机游戏",
        "copyright": 1,
        "pic": "http://i1.hdslb.com/bfs/archive/7ebaad047fb96e5d14b8ebb2eabf4b39a4ef10a6.jpg",
        "title": "卸载！！！！！",
        "pubdate": 1662177000,
        "ctime": 1662093287,
        "desc": "再见！！！！！",
        "state": 0,
        "duration": 1090,
        "mission_id": 899516,
        "rights": {
          "bp": 0,
          "elec": 0,
          "download": 0,
          "movie": 0,
          "pay": 0,
          "hd5": 0,
          "no_reprint": 1,
          "autoplay": 1,
          "ugc_pay": 0,
          "is_cooperation": 0,
          "ugc_pay_preview": 0,
          "no_background": 0,
          "arc_pay": 0,
          "pay_free_watch": 0
        },
        "owner": {
          "mid": 546195,
          "name": "老番茄",
          "face": "http://i0.hdslb.com/bfs/face/bc5ca101313d4db223c395d64779e76eb3482d60.jpg"
        },
        "stat": {
          "aid": 472731550,
          "view": 997762,
          "danmaku": 19350,
          "reply": 4339,
          "favorite": 44208,
          "coin": 113024,
          "share": 2172,
          "now_rank": 0,
          "his_rank": 7,
          "like": 205331,
          "dislike": 0
        },
        "dynamic": "",
        "cid": 821658341,
        "dimension": { "width": 1920, "height": 1080, "rotate": 0 },
        "short_link": "https://b23.tv/BV1AK411f7KR",
        "short_link_v2": "https://b23.tv/BV1AK411f7KR",
        "first_frame": "http://i0.hdslb.com/bfs/storyff/n220902a23i8b6s8004xd62mg3z2ol72_firsti.jpg",
        "pub_location": "上海",
        "bvid": "BV1AK411f7KR",
        "season_type": 0,
        "is_ogv": false,
        "ogv_info": null,
        "rcmd_reason": { "content": "20万点赞", "corner_mark": 0 }
      },
      {
        "aid": 730159604,
        "videos": 1,
        "tid": 173,
        "tname": "桌游棋牌",
        "copyright": 1,
        "pic": "http://i1.hdslb.com/bfs/archive/524de9769a0c06d8300950e24b52dbdd7a192613.jpg",
        "title": "老板？架空啦！",
        "pubdate": 1662188531,
        "ctime": 1662184216,
        "desc": "希望你喜欢这次的视频，这次玩的是《我是大老板》。\n游戏的规则不算简单:\n轮到你时，你可以选择发起生意;\n当然你也可以选择补充手牌。\n做成生意会需要一些字母，相当于需要有人投资，ABCDEF就是各位投资人;\n身份类的字母是永久的，除非别人用招募牌给挖走;\n手牌中的字母是一次性的。\n为了成功完成生意，你作为老板需要和你的合伙人商量好价钱，完成后按约定分给合伙人。\n当然，失败的生意是挣不到钱的;\n并且，你作为老板可以 决定是否做这单生意。\n数个回合后，摇骰子决定游戏是否结束；\n游戏结束时，钱最多的人就赢了。\n注意",
        "state": 0,
        "duration": 941,
        "mission_id": 917790,
        "rights": {
          "bp": 0,
          "elec": 0,
          "download": 0,
          "movie": 0,
          "pay": 0,
          "hd5": 0,
          "no_reprint": 1,
          "autoplay": 1,
          "ugc_pay": 0,
          "is_cooperation": 1,
          "ugc_pay_preview": 0,
          "no_background": 0,
          "arc_pay": 0,
          "pay_free_watch": 0
        },
        "owner": {
          "mid": 3913194,
          "name": "高斯Goh",
          "face": "http://i0.hdslb.com/bfs/face/d4c65b5c6be3f9d845c15401173f98b130728851.jpg"
        },
        "stat": {
          "aid": 730159604,
          "view": 603101,
          "danmaku": 6535,
          "reply": 3197,
          "favorite": 13123,
          "coin": 22361,
          "share": 1587,
          "now_rank": 0,
          "his_rank": 68,
          "like": 87913,
          "dislike": 0
        },
        "dynamic": "",
        "cid": 822547268,
        "dimension": { "width": 1920, "height": 1080, "rotate": 0 },
        "short_link": "https://b23.tv/BV1BD4y1B7ji",
        "short_link_v2": "https://b23.tv/BV1BD4y1B7ji",
        "first_frame": "http://i2.hdslb.com/bfs/storyff/n220903a21dbowrqfua2zw3hxxeffqtt_firsti.jpg",
        "pub_location": "上海",
        "bvid": "BV1BD4y1B7ji",
        "season_type": 0,
        "is_ogv": false,
        "ogv_info": null,
        "rcmd_reason": { "content": "8万点赞", "corner_mark": 1 }
      },
      {
        "aid": 942708210,
        "videos": 1,
        "tid": 85,
        "tname": "小剧 场",
        "copyright": 1,
        "pic": "http://i1.hdslb.com/bfs/archive/fc453b388f94300e69134a67f2f02d3136462c60.jpg",
        "title": "【火焰醉枪】卧槽！这火焰枪竟然不是特效，30个小时匠心制作……",
        "pubdate": 1662087586,
        "ctime": 1662087587,
        "desc": "上期做了火焰醉剑后，大家都说想看火焰醉枪，这次熬了两个大夜拍完啦，制作不易，希望大家多多支持啊！",
        "state": 0,
        "duration": 156,
        "mission_id": 926961,
        "rights": {
          "bp": 0,
          "elec": 0,
          "download": 0,
          "movie": 0,
          "pay": 0,
          "hd5": 1,
          "no_reprint": 1,
          "autoplay": 1,
          "ugc_pay": 0,
          "is_cooperation": 0,
          "ugc_pay_preview": 0,
          "no_background": 0,
          "arc_pay": 0,
          "pay_free_watch": 0
        },
        "owner": {
          "mid": 432083444,
          "name": "俩大叔的功夫梦",
          "face": "http://i2.hdslb.com/bfs/face/40bfa8df7854402bdecd21a9c7a67bc1bb891637.jpg"
        },
        "stat": {
          "aid": 942708210,
          "view": 1583053,
          "danmaku": 2300,
          "reply": 1596,
          "favorite": 21206,
          "coin": 48190,
          "share": 3088,
          "now_rank": 0,
          "his_rank": 13,
          "like": 219810,
          "dislike": 0
        },
        "dynamic": "【火焰醉枪】卧槽！这火焰枪竟然不是特效，30个小时匠心制作……",
        "cid": 821595336,
        "dimension": { "width": 3840, "height": 2160, "rotate": 0 },
        "short_link": "https://b23.tv/BV1yW4y1q78t",
        "short_link_v2": "https://b23.tv/BV1yW4y1q78t",
        "first_frame": "http://i2.hdslb.com/bfs/storyff/n220902a2uf2p36okkkd5tj0koh3jk17_firsti.jpg",
        "pub_location": "四川",
        "bvid": "BV1yW4y1q78t",
        "season_type": 0,
        "is_ogv": false,
        "ogv_info": null,
        "rcmd_reason": { "content": "百万播放", "corner_mark": 1 }
      },
      {
        "aid": 985156462,
        "videos": 1,
        "tid": 137,
        "tname": "明星综合",
        "copyright": 1,
        "pic": "http://i0.hdslb.com/bfs/archive/ee633bc1f33e88a08240cb5df19a768c007871fd.jpg",
        "title": "【时代少年团】《哪吒》练习室版",
        "pubdate": 1662199200,
        "ctime": 1662133574,
        "desc": "",
        "state": 0,
        "duration": 254,
        "rights": {
          "bp": 0,
          "elec": 0,
          "download": 0,
          "movie": 0,
          "pay": 0,
          "hd5": 1,
          "no_reprint": 1,
          "autoplay": 1,
          "ugc_pay": 0,
          "is_cooperation": 0,
          "ugc_pay_preview": 0,
          "no_background": 0,
          "arc_pay": 0,
          "pay_free_watch": 0
        },
        "owner": {
          "mid": 3670216,
          "name": "TF家族",
          "face": "http://i1.hdslb.com/bfs/face/1c74336b9060d40d0ccf5e8bce7c0de34526b1e3.jpg"
        },
        "stat": {
          "aid": 985156462,
          "view": 180284,
          "danmaku": 20822,
          "reply": 6925,
          "favorite": 4740,
          "coin": 6962,
          "share": 1052,
          "now_rank": 0,
          "his_rank": 0,
          "like": 28324,
          "dislike": 0
        },
        "dynamic": "",
        "cid": 822227418,
        "dimension": { "width": 1920, "height": 1080, "rotate": 0 },
        "short_link": "https://b23.tv/BV1yt4y1j7RW",
        "short_link_v2": "https://b23.tv/BV1yt4y1j7RW",
        "first_frame": "http://i2.hdslb.com/bfs/storyff/n220902a23cnqomtt52rac3gi8wbif37_firsti.jpg",
        "pub_location": "北京",
        "bvid": "BV1yt4y1j7RW",
        "season_type": 0,
        "is_ogv": false,
        "ogv_info": null,
        "rcmd_reason": { "content": "明星综合·人气飙升", "corner_mark": 1 }
      },
      {
        "aid": 857527108,
        "videos": 1,
        "tid": 230,
        "tname": "软件应用",
        "copyright": 1,
        "pic": "http://i0.hdslb.com/bfs/archive/9f495c058d7825b8d45f2701b4271affbf17442b.jpg",
        "title": "【苏星河】我的这个微信，你们没人用过",
        "pubdate": 1661953525,
        "ctime": 1661952710,
        "desc": "结尾有惊喜！",
        "state": 0,
        "duration": 654,
        "mission_id": 668476,
        "rights": {
          "bp": 0,
          "elec": 0,
          "download": 0,
          "movie": 0,
          "pay": 0,
          "hd5": 1,
          "no_reprint": 1,
          "autoplay": 1,
          "ugc_pay": 0,
          "is_cooperation": 0,
          "ugc_pay_preview": 0,
          "no_background": 0,
          "arc_pay": 0,
          "pay_free_watch": 0
        },
        "owner": {
          "mid": 598464467,
          "name": "苏星河牛通",
          "face": "http://i2.hdslb.com/bfs/face/836a17376b6d1c21200310137256c91731045d1b.jpg"
        },
        "stat": {
          "aid": 857527108,
          "view": 6031262,
          "danmaku": 10807,
          "reply": 7949,
          "favorite": 252749,
          "coin": 111985,
          "share": 20700,
          "now_rank": 0,
          "his_rank": 1,
          "like": 413858,
          "dislike": 0
        },
        "dynamic": "",
        "cid": 820274225,
        "dimension": { "width": 1920, "height": 1080, "rotate": 0 },
        "short_link": "https://b23.tv/BV1tV4y1H72k",
        "short_link_v2": "https://b23.tv/BV1tV4y1H72k",
        "first_frame": "http://i1.hdslb.com/bfs/storyff/n220831qn3fp342hh8svfbtvora7zon7_firsti.jpg",
        "pub_location": "上海",
        "bvid": "BV1tV4y1H72k",
        "season_type": 0,
        "is_ogv": false,
        "ogv_info": null,
        "rcmd_reason": { "content": "百万播放", "corner_mark": 1 }
      },
      {
        "aid": 857678378,
        "videos": 1,
        "tid": 76,
        "tname": "美食制作",
        "copyright": 1,
        "pic": "http://i1.hdslb.com/bfs/archive/5007b350acb31aa5f4a14c96190273d5590a6cb2.jpg",
        "title": "《 中 式 炸 鸡 》",
        "pubdate": 1662197400,
        "ctime": 1662135610,
        "desc": "三连吗\n谢谢",
        "state": 0,
        "duration": 248,
        "mission_id": 816705,
        "rights": {
          "bp": 0,
          "elec": 0,
          "download": 0,
          "movie": 0,
          "pay": 0,
          "hd5": 0,
          "no_reprint": 1,
          "autoplay": 1,
          "ugc_pay": 0,
          "is_cooperation": 0,
          "ugc_pay_preview": 0,
          "no_background": 0,
          "arc_pay": 0,
          "pay_free_watch": 0
        },
        "owner": {
          "mid": 337521240,
          "name": "记录生活的蛋黄派",
          "face": "http://i0.hdslb.com/bfs/face/9ba6c7a0d3a2ebfe9db2f46219ece98e210d0269.jpg"
        },
        "stat": {
          "aid": 857678378,
          "view": 285421,
          "danmaku": 5138,
          "reply": 1694,
          "favorite": 2757,
          "coin": 9736,
          "share": 763,
          "now_rank": 0,
          "his_rank": 0,
          "like": 56170,
          "dislike": 0
        },
        "dynamic": "谢谢",
        "cid": 822249262,
        "dimension": { "width": 1920, "height": 1080, "rotate": 0 },
        "short_link": "https://b23.tv/BV1sV4y1p7hB",
        "short_link_v2": "https://b23.tv/BV1sV4y1p7hB",
        "first_frame": "http://i1.hdslb.com/bfs/storyff/n220903qn1naqorns10fx528qp3fucqw_firsti.jpg",
        "pub_location": "广东",
        "bvid": "BV1sV4y1p7hB",
        "season_type": 0,
        "is_ogv": false,
        "ogv_info": null,
        "rcmd_reason": { "content": "5万点赞", "corner_mark": 1 }
      },
      {
        "aid": 602403491,
        "videos": 1,
        "tid": 161,
        "tname": "手工",
        "copyright": 1,
        "pic": "http://i1.hdslb.com/bfs/archive/01bf653fd89126740b02c421207eb2519ee26f0c.jpg",
        "title": "用超轻黏土捏一个小奶牛",
        "pubdate": 1661607234,
        "ctime": 1661607235,
        "desc": "-",
        "state": 0,
        "duration": 60,
        "rights": {
          "bp": 0,
          "elec": 0,
          "download": 0,
          "movie": 0,
          "pay": 0,
          "hd5": 0,
          "no_reprint": 1,
          "autoplay": 1,
          "ugc_pay": 0,
          "is_cooperation": 0,
          "ugc_pay_preview": 0,
          "no_background": 0,
          "arc_pay": 0,
          "pay_free_watch": 0
        },
        "owner": {
          "mid": 1160308896,
          "name": "大米的摆摊日常",
          "face": "http://i0.hdslb.com/bfs/face/2766a97e274c77166d208293c391b08e93cd7793.jpg"
        },
        "stat": {
          "aid": 602403491,
          "view": 1055453,
          "danmaku": 3500,
          "reply": 2575,
          "favorite": 23732,
          "coin": 144083,
          "share": 3469,
          "now_rank": 0,
          "his_rank": 42,
          "like": 340294,
          "dislike": 0
        },
        "dynamic": "",
        "cid": 816374904,
        "dimension": { "width": 1080, "height": 1920, "rotate": 0 },
        "short_link": "https://b23.tv/BV1pB4y157Bh",
        "short_link_v2": "https://b23.tv/BV1pB4y157Bh",
        "up_from_v2": 35,
        "first_frame": "http://i1.hdslb.com/bfs/storyff/n220827a21lg9szf96xk8r3l38i3jet5_firsti.jpg",
        "pub_location": "四川",
        "bvid": "BV1pB4y157Bh",
        "season_type": 0,
        "is_ogv": false,
        "ogv_info": null,
        "rcmd_reason": { "content": "百万播放", "corner_mark": 1 }
      },
      {
        "aid": 217678690,
        "videos": 1,
        "tid": 138,
        "tname": "搞笑",
        "copyright": 1,
        "pic": "http://i0.hdslb.com/bfs/archive/1b96235f6b4736f79430362f070f96f76741b8a5.jpg",
        "title": "离谱到家了！两社恐挑战去7个UP主家零元购！",
        "pubdate": 1662177000,
        "ctime": 1662154182,
        "desc": "感谢大家的观看，这期视频剪了一个月了。希望大家喜 欢\n三十六贱笑说：这期如果点赞40W，直接拍成系列。",
        "state": 0,
        "duration": 1918,
        "mission_id": 753163,
        "rights": {
          "bp": 0,
          "elec": 0,
          "download": 0,
          "movie": 0,
          "pay": 0,
          "hd5": 0,
          "no_reprint": 1,
          "autoplay": 1,
          "ugc_pay": 0,
          "is_cooperation": 1,
          "ugc_pay_preview": 0,
          "no_background": 0,
          "arc_pay": 0,
          "pay_free_watch": 0
        },
        "owner": {
          "mid": 285499073,
          "name": "东尼ookii",
          "face": "http://i2.hdslb.com/bfs/face/456b2bff7e41ab212b74e9019fda1f26362e8723.jpg"
        },
        "stat": {
          "aid": 217678690,
          "view": 976493,
          "danmaku": 11559,
          "reply": 1995,
          "favorite": 8791,
          "coin": 37190,
          "share": 1776,
          "now_rank": 0,
          "his_rank": 31,
          "like": 133451,
          "dislike": 0
        },
        "dynamic": "超 级  离 谱 新 系 列 ！！！",
        "cid": 822326594,
        "dimension": { "width": 1920, "height": 1080, "rotate": 0 },
        "short_link": "https://b23.tv/BV1Ja41137BA",
        "short_link_v2": "https://b23.tv/BV1Ja41137BA",
        "first_frame": "http://i2.hdslb.com/bfs/storyff/n220903qn2sc6o94iasldc2uix7nw6kz_firsti.jpg",
        "pub_location": "广东",
        "bvid": "BV1Ja41137BA",
        "season_type": 0,
        "is_ogv": false,
        "ogv_info": null,
        "rcmd_reason": { "content": "13万点赞", "corner_mark": 1 }
      },
      {
        "aid": 857726292,
        "videos": 1,
        "tid": 76,
        "tname": "美食制作",
        "copyright": 1,
        "pic": "http://i0.hdslb.com/bfs/archive/1a9fe65a51c03d69fd1d4d50cff621e7b9112e29.jpg",
        "title": "羊 肉 天 花 板",
        "pubdate": 1662192000,
        "ctime": 1662184515,
        "desc": "羊肉串：\n其实我对羊肉串还是有些研究和追求的\n羊肉记得提前泡30分钟淡盐水去 膻味\n腌肉配方：2勺生抽 1勺蚝油 2勺白胡椒粉\n香料配方：半勺白糖 3勺孜然 2勺辣椒面\n同样的配方腌羊肉和香料也可以在家里炒 着着吃",
        "state": 0,
        "duration": 434,
        "mission_id": 912283,
        "rights": {
          "bp": 0,
          "elec": 0,
          "download": 0,
          "movie": 0,
          "pay": 0,
          "hd5": 0,
          "no_reprint": 1,
          "autoplay": 1,
          "ugc_pay": 0,
          "is_cooperation": 0,
          "ugc_pay_preview": 0,
          "no_background": 0,
          "arc_pay": 0,
          "pay_free_watch": 0
        },
        "owner": {
          "mid": 473524263,
          "name": "澳洲阿彭",
          "face": "http://i0.hdslb.com/bfs/face/954547cf631e4f986e5f9e3bfd65328600184b6f.jpg"
        },
        "stat": {
          "aid": 857726292,
          "view": 335725,
          "danmaku": 951,
          "reply": 429,
          "favorite": 3672,
          "coin": 15611,
          "share": 867,
          "now_rank": 0,
          "his_rank": 0,
          "like": 45838,
          "dislike": 0
        },
        "dynamic": "千万不要让猫进厨房",
        "cid": 822587296,
        "dimension": { "width": 3840, "height": 2160, "rotate": 0 },
        "season_id": 28525,
        "short_link": "https://b23.tv/BV1tV4y1p7ux",
        "short_link_v2": "https://b23.tv/BV1tV4y1p7ux",
        "first_frame": "http://i0.hdslb.com/bfs/storyff/n220903a21elu6y2vu085u1gh47kqbdb_firsti.jpg",
        "pub_location": "上海",
        "bvid": "BV1tV4y1p7ux",
        "season_type": 0,
        "is_ogv": false,
        "ogv_info": null,
        "rcmd_reason": { "content": "", "corner_mark": 0 }
      },
      {
        "aid": 815203242,
        "videos": 1,
        "tid": 216,
        "tname": "鬼畜剧场",
        "copyright": 1,
        "pic": "http://i1.hdslb.com/bfs/archive/04a85276faffd2f4bd59a4a7f36cf69833af0fc2.jpg",
        "title": "科目三：作毙",
        "pubdate": 1662114430,
        "ctime": 1662114430,
        "desc": "看来你 是真想跟我拼一下子",
        "state": 0,
        "duration": 72,
        "mission_id": 870359,
        "rights": {
          "bp": 0,
          "elec": 0,
          "download": 0,
          "movie": 0,
          "pay": 0,
          "hd5": 0,
          "no_reprint": 1,
          "autoplay": 1,
          "ugc_pay": 0,
          "is_cooperation": 0,
          "ugc_pay_preview": 0,
          "no_background": 0,
          "arc_pay": 0,
          "pay_free_watch": 0
        },
        "owner": {
          "mid": 7518140,
          "name": "暂离二度",
          "face": "http://i2.hdslb.com/bfs/face/3d31d41810f12de173515f83b150234bb08a6e72.jpg"
        },
        "stat": {
          "aid": 815203242,
          "view": 892126,
          "danmaku": 596,
          "reply": 877,
          "favorite": 13100,
          "coin": 13068,
          "share": 19249,
          "now_rank": 0,
          "his_rank": 92,
          "like": 57099,
          "dislike": 0
        },
        "dynamic": "",
        "cid": 821964961,
        "dimension": { "width": 1280, "height": 720, "rotate": 0 },
        "short_link": "https://b23.tv/BV1PG4y1r7JX",
        "short_link_v2": "https://b23.tv/BV1PG4y1r7JX",
        "first_frame": "http://i0.hdslb.com/bfs/storyff/n220902a21fhpl3fapghr9lxcwblqxu0_firsti.jpg",
        "pub_location": "浙江",
        "bvid": "BV1PG4y1r7JX",
        "season_type": 0,
        "is_ogv": false,
        "ogv_info": null,
        "rcmd_reason": { "content": "5万点赞", "corner_mark": 1 }
      },
      {
        "aid": 302736065,
        "videos": 1,
        "tid": 251,
        "tname": "三农",
        "copyright": 1,
        "pic": "http://i1.hdslb.com/bfs/archive/a37fd6ed038127d2336d67c7e5726b9c016a0bae.jpg",
        "title": "我又开始玩梗了，而且还进去了。",
        "pubdate": 1662095667,
        "ctime": 1662095667,
        "desc": "-",
        "state": 0,
        "duration": 53,
        "mission_id": 840062,
        "rights": {
          "bp": 0,
          "elec": 0,
          "download": 0,
          "movie": 0,
          "pay": 0,
          "hd5": 0,
          "no_reprint": 1,
          "autoplay": 1,
          "ugc_pay": 0,
          "is_cooperation": 0,
          "ugc_pay_preview": 0,
          "no_background": 0,
          "arc_pay": 0,
          "pay_free_watch": 0
        },
        "owner": {
          "mid": 50316381,
          "name": "疆域阿力木",
          "face": "http://i0.hdslb.com/bfs/face/05626e28bbbb34f944f28791a75a2cef4f396a6e.jpg"
        },
        "stat": {
          "aid": 302736065,
          "view": 3078837,
          "danmaku": 2722,
          "reply": 3193,
          "favorite": 15765,
          "coin": 22301,
          "share": 3463,
          "now_rank": 0,
          "his_rank": 3,
          "like": 461326,
          "dislike": 0
        },
        "dynamic": "",
        "cid": 821690665,
        "dimension": { "width": 1080, "height": 1920, "rotate": 0 },
        "short_link": "https://b23.tv/BV19P411V7Kz",
        "short_link_v2": "https://b23.tv/BV19P411V7Kz",
        "up_from_v2": 36,
        "first_frame": "http://i0.hdslb.com/bfs/storyff/n220902qn2fba1mpclsphj2deu0cb5hg_firsti.jpg",
        "pub_location": "新疆",
        "bvid": "BV19P411V7Kz",
        "season_type": 0,
        "is_ogv": false,
        "ogv_info": null,
        "rcmd_reason": { "content": "百万播放", "corner_mark": 1 }
      },
      {
        "aid": 557636142,
        "videos": 1,
        "tid": 138,
        "tname": "搞笑",
        "copyright": 1,
        "pic": "http://i0.hdslb.com/bfs/archive/ff263e883790351a81caa336c372807a8aabd76c.jpg",
        "title": "家里有游乐园？【杜海皇】",
        "pubdate": 1662180876,
        "ctime": 1662180434,
        "desc": "希望各位观众老爷们喜欢这期视频！\n喜欢记得点赞/投币/收藏/分享！",
        "state": 0,
        "duration": 905,
        "mission_id": 753163,
        "rights": {
          "bp": 0,
          "elec": 0,
          "download": 0,
          "movie": 0,
          "pay": 0,
          "hd5": 0,
          "no_reprint": 1,
          "autoplay": 1,
          "ugc_pay": 0,
          "is_cooperation": 1,
          "ugc_pay_preview": 0,
          "no_background": 0,
          "arc_pay": 0,
          "pay_free_watch": 0
        },
        "owner": {
          "mid": 178029850,
          "name": "杜海皇",
          "face": "http://i1.hdslb.com/bfs/face/133111338ef9d6ca04515a0b517b2e837bc41e2b.jpg"
        },
        "stat": {
          "aid": 557636142,
          "view": 692389,
          "danmaku": 17406,
          "reply": 3198,
          "favorite": 14095,
          "coin": 24362,
          "share": 1470,
          "now_rank": 0,
          "his_rank": 44,
          "like": 98582,
          "dislike": 0
        },
        "dynamic": "家里有游乐园？",
        "cid": 822513886,
        "dimension": { "width": 1920, "height": 1080, "rotate": 0 },
        "short_link": "https://b23.tv/BV1ae4y1d7z8",
        "short_link_v2": "https://b23.tv/BV1ae4y1d7z8",
        "first_frame": "http://i2.hdslb.com/bfs/storyff/n220903a2vmxll1f3m5f532fzheru0f6_firsti.jpg",
        "pub_location": "上海",
        "bvid": "BV1ae4y1d7z8",
        "season_type": 0,
        "is_ogv": false,
        "ogv_info": null,
        "rcmd_reason": { "content": "9万点赞", "corner_mark": 1 }
      },
      {
        "aid": 217653051,
        "videos": 1,
        "tid": 138,
        "tname": "搞笑",
        "copyright": 1,
        "pic": "http://i1.hdslb.com/bfs/archive/f6e7436fc136c6e824d0cdcc527b366417c238b5.jpg",
        "title": "不行了，我们真的土飞天了！！！",
        "pubdate": 1662197177,
        "ctime": 1662195861,
        "desc": "宝剑嫂说点赞20W，立马开始学习究极无敌宇宙SSS难度土味舞蹈！！！\n我就不信她能学会！？？\n\n邮箱：baojiansao@163.com\n记得投稿！！等你！！！",
        "state": 0,
        "duration": 564,
        "mission_id": 753163,
        "rights": {
          "bp": 0,
          "elec": 0,
          "download": 0,
          "movie": 0,
          "pay": 0,
          "hd5": 0,
          "no_reprint": 1,
          "autoplay": 1,
          "ugc_pay": 0,
          "is_cooperation": 1,
          "ugc_pay_preview": 0,
          "no_background": 0,
          "arc_pay": 0,
          "pay_free_watch": 0
        },
        "owner": {
          "mid": 147166910,
          "name": "雨哥到处跑",
          "face": "http://i2.hdslb.com/bfs/face/5717b696a212199679c31857b46c3ba5c465ee06.jpg"
        },
        "stat": {
          "aid": 217653051,
          "view": 186234,
          "danmaku": 2498,
          "reply": 745,
          "favorite": 2573,
          "coin": 7170,
          "share": 1162,
          "now_rank": 0,
          "his_rank": 0,
          "like": 34817,
          "dislike": 0
        },
        "dynamic": "究！极！无！敌！宇！宙！\n土！味！之！王！！！",
        "cid": 822750256,
        "dimension": { "width": 1920, "height": 1080, "rotate": 0 },
        "short_link": "https://b23.tv/BV1ga41137Gs",
        "short_link_v2": "https://b23.tv/BV1ga41137Gs",
        "first_frame": "http://i1.hdslb.com/bfs/storyff/n220903a21l7ofzzwi97zg23eqr7n2ur_firsti.jpg",
        "pub_location": "上海",
        "bvid": "BV1ga41137Gs",
        "season_type": 0,
        "is_ogv": false,
        "ogv_info": null,
        "rcmd_reason": { "content": "", "corner_mark": 0 }
      },
      {
        "aid": 472678228,
        "videos": 1,
        "tid": 76,
        "tname": "美食制作",
        "copyright": 1,
        "pic": "http://i1.hdslb.com/bfs/archive/e92f638626a4e7bfff43f0ff72faf35ff914d851.jpg",
        "title": "谁能吃空这一盆，立马入职！",
        "pubdate": 1662111000,
        "ctime": 1662099066,
        "desc": "想知道小胖说什么的看到最后！",
        "state": 0,
        "duration": 220,
        "mission_id": 816705,
        "rights": {
          "bp": 0,
          "elec": 0,
          "download": 0,
          "movie": 0,
          "pay": 0,
          "hd5": 1,
          "no_reprint": 1,
          "autoplay": 1,
          "ugc_pay": 0,
          "is_cooperation": 0,
          "ugc_pay_preview": 0,
          "no_background": 0,
          "arc_pay": 0,
          "pay_free_watch": 0
        },
        "owner": {
          "mid": 11452660,
          "name": "p老板开饭了",
          "face": "http://i1.hdslb.com/bfs/face/b1c8a639f1773284b3a7ceb00d62c54de1c8f470.jpg"
        },
        "stat": {
          "aid": 472678228,
          "view": 1136045,
          "danmaku": 541,
          "reply": 1002,
          "favorite": 7157,
          "coin": 2192,
          "share": 1122,
          "now_rank": 0,
          "his_rank": 65,
          "like": 107942,
          "dislike": 0
        },
        "dynamic": "完了，暴露了",
        "cid": 821731282,
        "dimension": { "width": 2160, "height": 3840, "rotate": 0 },
        "season_id": 619430,
        "short_link": "https://b23.tv/BV12K411Z7ET",
        "short_link_v2": "https://b23.tv/BV12K411Z7ET",
        "first_frame": "http://i0.hdslb.com/bfs/storyff/n220902a21767eiq3pz6kpdf47u3h6c5_firsti.jpg",
        "pub_location": "四川",
        "bvid": "BV12K411Z7ET",
        "season_type": 0,
        "is_ogv": false,
        "ogv_info": null,
        "rcmd_reason": { "content": "百万播放", "corner_mark": 1 }
      },
      {
        "aid": 900009457,
        "videos": 1,
        "tid": 182,
        "tname": "影视杂谈",
        "copyright": 1,
        "pic": "http://i2.hdslb.com/bfs/archive/533cb2685bcf5e64b29772dc87347466950710bd.jpg",
        "title": "别抬头！天上的东西会吃人！2022最新科幻电影！",
        "pubdate": 1661943707,
        "ctime": 1661943707,
        "desc": "《不》",
        "state": 0,
        "duration": 349,
        "rights": {
          "bp": 0,
          "elec": 0,
          "download": 0,
          "movie": 0,
          "pay": 0,
          "hd5": 1,
          "no_reprint": 1,
          "autoplay": 1,
          "ugc_pay": 0,
          "is_cooperation": 0,
          "ugc_pay_preview": 0,
          "no_background": 0,
          "arc_pay": 0,
          "pay_free_watch": 0
        },
        "owner": {
          "mid": 688872987,
          "name": "侃片大师兄",
          "face": "http://i0.hdslb.com/bfs/face/8935b194271d1dac8ce4c99bdbbd80f682d4a939.jpg"
        },
        "stat": {
          "aid": 900009457,
          "view": 2142899,
          "danmaku": 763,
          "reply": 687,
          "favorite": 5943,
          "coin": 587,
          "share": 238,
          "now_rank": 0,
          "his_rank": 85,
          "like": 77420,
          "dislike": 0
        },
        "dynamic": "",
        "cid": 819990856,
        "dimension": { "width": 1920, "height": 1080, "rotate": 0 },
        "short_link": "https://b23.tv/BV1EP4y1f71v",
        "short_link_v2": "https://b23.tv/BV1EP4y1f71v",
        "first_frame": "http://i2.hdslb.com/bfs/storyff/n220831qn23b5noftuzwf87zp2nxkfin_firsti.jpg",
        "pub_location": "山东",
        "bvid": "BV1EP4y1f71v",
        "season_type": 0,
        "is_ogv": false,
        "ogv_info": null,
        "rcmd_reason": { "content": "", "corner_mark": 0 }
      },
      {
        "aid": 645144956,
        "videos": 1,
        "tid": 208,
        "tname": " 校园学习",
        "copyright": 1,
        "pic": "http://i0.hdslb.com/bfs/archive/4caba77c0ea7d95292c4e52dcfc1a2807318f068.jpg",
        "title": "耗时一个月制作！不想任何学生错过这个视频啊啊！学习方法/中学/大学/研究生/考证/留学/成长/求职 | 开学解惑图鉴",
        "pubdate": 1662177900,
        "ctime": 1662127479,
        "desc": "开学季啦，框框作为B站辅导员，为大家整理实用知识和经验参考，视频中所有的链接如下，如果 有帮助还请大家三连支持一波！！！！\n一、学习干货\n1、学习方法：\nBV1LU4y1g7no、BV14b411h7FM、BV1QX4y157mJ、BV1Ya4y1W7iT 、BV1X3411k7CX、BV1p741127kM\n2、中学学科：\n语文：BV1ZT4113744、BV1zB4y1w7Sk、BV1oE411K7Qq、BV18U4y1m7iV、BV16L4y157iZ\n数学：BV147411K7xu、BV1fJ411R",
        "state": 0,
        "duration": 439,
        "mission_id": 895731,
        "rights": {
          "bp": 0,
          "elec": 0,
          "download": 0,
          "movie": 0,
          "pay": 0,
          "hd5": 1,
          "no_reprint": 1,
          "autoplay": 1,
          "ugc_pay": 0,
          "is_cooperation": 0,
          "ugc_pay_preview": 0,
          "no_background": 0,
          "arc_pay": 0,
          "pay_free_watch": 0
        },
        "owner": {
          "mid": 40427625,
          "name": "取景框看世界",
          "face": "http://i0.hdslb.com/bfs/face/0d671560a6dd7f28247b3b7501d404a5b01280ea.jpg"
        },
        "stat": {
          "aid": 645144956,
          "view": 137130,
          "danmaku": 1686,
          "reply": 597,
          "favorite": 23723,
          "coin": 10164,
          "share": 1411,
          "now_rank": 0,
          "his_rank": 0,
          "like": 20994,
          "dislike": 0
        },
        "dynamic": "这是框框给所有学生党送上的开学礼物，你一定会喜欢的(=・ω・=)",
        "cid": 822546678,
        "dimension": { "width": 1920, "height": 1080, "rotate": 0 },
        "season_id": 682687,
        "short_link": "https://b23.tv/BV1rY4y1T7Lk",
        "short_link_v2": "https://b23.tv/BV1rY4y1T7Lk",
        "first_frame": "http://i0.hdslb.com/bfs/storyff/n220903a2204tfiy965tnt32zfgxjhwn_firsti.jpg",
        "pub_location": "上海",
        "bvid": "BV1rY4y1T7Lk",
        "season_type": 0,
        "is_ogv": false,
        "ogv_info": null,
        "rcmd_reason": { "content": "", "corner_mark": 0 }
      },
      {
        "aid": 302509227,
        "videos": 1,
        "tid": 183,
        "tname": "影视剪辑",
        "copyright": 1,
        "pic": "http://i0.hdslb.com/bfs/archive/72695f92333cc5c5dcdc5161ba98fa89a8ad081a.jpg",
        "title": "“从不拍烂片的导演”",
        "pubdate": 1661986407,
        "ctime": 1661986407,
        "desc": "-",
        "state": 0,
        "duration": 20,
        "rights": {
          "bp": 0,
          "elec": 0,
          "download": 0,
          "movie": 0,
          "pay": 0,
          "hd5": 1,
          "no_reprint": 1,
          "autoplay": 1,
          "ugc_pay": 0,
          "is_cooperation": 0,
          "ugc_pay_preview": 0,
          "no_background": 0,
          "arc_pay": 0,
          "pay_free_watch": 0
        },
        "owner": {
          "mid": 241973789,
          "name": "柯基剪辑c",
          "face": "http://i2.hdslb.com/bfs/face/515688d6b0406ac9c242b3e0fbb36a5feabd50c8.jpg"
        },
        "stat": {
          "aid": 302509227,
          "view": 169278,
          "danmaku": 98,
          "reply": 285,
          "favorite": 9330,
          "coin": 2736,
          "share": 396,
          "now_rank": 0,
          "his_rank": 0,
          "like": 34129,
          "dislike": 0
        },
        "dynamic": "",
        "cid": 820560843,
        "dimension": { "width": 1920, "height": 1080, "rotate": 0 },
        "short_link": "https://b23.tv/BV1pP411L7yw",
        "short_link_v2": "https://b23.tv/BV1pP411L7yw",
        "up_from_v2": 8,
        "first_frame": "http://i1.hdslb.com/bfs/storyff/n220901a232uv0w65umpau1641kk1ktt_firsti.jpg",
        "pub_location": "江苏",
        "bvid": "BV1pP411L7yw",
        "season_type": 0,
        "is_ogv": false,
        "ogv_info": null,
        "rcmd_reason": { "content": "", "corner_mark": 0 }
      },
      {
        "aid": 815038949,
        "videos": 1,
        "tid": 250,
        "tname": "出行",
        "copyright": 1,
        "pic": "http://i2.hdslb.com/bfs/archive/f66582af3f5ea12b04d6f2bec1298fca308d33ce.jpg",
        "title": "那天，我看到了54岁最帅的模样",
        "pubdate": 1661769000,
        "ctime": 1661756898,
        "desc": "-",
        "state": 0,
        "duration": 91,
        "mission_id": 834125,
        "rights": {
          "bp": 0,
          "elec": 0,
          "download": 0,
          "movie": 0,
          "pay": 0,
          "hd5": 1,
          "no_reprint": 1,
          "autoplay": 1,
          "ugc_pay": 0,
          "is_cooperation": 0,
          "ugc_pay_preview": 0,
          "no_background": 0,
          "arc_pay": 0,
          "pay_free_watch": 0
        },
        "owner": {
          "mid": 2041168605,
          "name": "他叫阿园",
          "face": "http://i0.hdslb.com/bfs/face/ee0cee6afda83588c938a5279d47ce66633379e6.jpg"
        },
        "stat": {
          "aid": 815038949,
          "view": 4203035,
          "danmaku": 1797,
          "reply": 3724,
          "favorite": 69671,
          "coin": 150880,
          "share": 6483,
          "now_rank": 0,
          "his_rank": 1,
          "like": 732835,
          "dislike": 0
        },
        "dynamic": "",
        "cid": 817949474,
        "dimension": { "width": 1080, "height": 1920, "rotate": 0 },
        "short_link": "https://b23.tv/BV1VG4y167tn",
        "short_link_v2": "https://b23.tv/BV1VG4y167tn",
        "up_from_v2": 36,
        "first_frame": "http://i0.hdslb.com/bfs/storyff/n220829a2246h1eks5qvfw17msnqjkun_firsti.jpg",
        "pub_location": "浙江",
        "bvid": "BV1VG4y167tn",
        "season_type": 0,
        "is_ogv": false,
        "ogv_info": null,
        "rcmd_reason": { "content": " 百万播放", "corner_mark": 1 }
      },
      {
        "aid": 900245725,
        "videos": 1,
        "tid": 138,
        "tname": "搞笑",
        "copyright": 1,
        "pic": "http://i1.hdslb.com/bfs/archive/8e842aef4241d2f0971bfbf8289919f9417a2054.jpg",
        "title": "我们管这叫军训，外国人管这叫实兵演习！",
        "pubdate": 1662092612,
        "ctime": 1662092612,
        "desc": "素材来源：各大高校军训名场面！\nBGM：Wake (Live)",
        "state": 0,
        "duration": 185,
        "rights": {
          "bp": 0,
          "elec": 0,
          "download": 0,
          "movie": 0,
          "pay": 0,
          "hd5": 1,
          "no_reprint": 1,
          "autoplay": 1,
          "ugc_pay": 0,
          "is_cooperation": 0,
          "ugc_pay_preview": 0,
          "no_background": 0,
          "arc_pay": 0,
          "pay_free_watch": 0
        },
        "owner": {
          "mid": 626297715,
          "name": "荒草音乐",
          "face": "http://i0.hdslb.com/bfs/face/d7b9ec37a9b159318cbf09d9d2ce43eba6cfaa12.jpg"
        },
        "stat": {
          "aid": 900245725,
          "view": 792824,
          "danmaku": 1603,
          "reply": 2508,
          "favorite": 11174,
          "coin": 3072,
          "share": 6911,
          "now_rank": 0,
          "his_rank": 0,
          "like": 37460,
          "dislike": 0
        },
        "dynamic": "",
        "cid": 821649493,
        "dimension": { "width": 1920, "height": 1080, "rotate": 0 },
        "short_link": "https://b23.tv/BV1DP4y1o7y1",
        "short_link_v2": "https://b23.tv/BV1DP4y1o7y1",
        "first_frame": "http://i1.hdslb.com/bfs/storyff/n220902a226id1e9dpruvu1a3ni88cad_firsti.jpg",
        "pub_location": "四川",
        "bvid": "BV1DP4y1o7y1",
        "season_type": 0,
        "is_ogv": false,
        "ogv_info": null,
        "rcmd_reason": { "content": "", "corner_mark": 0 }
      }
    ],
    "no_more": false
  }
}
```
</details>